Package org.springframework.cloud.task.batch.listener.support

# Class TaskEventProperties

java.lang.Object
org.springframework.cloud.task.batch.listener.support.TaskEventProperties

@ConfigurationProperties(prefix="spring.cloud.task.batch.events") public class TaskEventProperties extends Object

Author:
  Ali Shahbour

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskEventProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChunkEventBindingName()`
  `int`
  `getChunkOrder()`
  `String`
  `getItemProcessEventBindingName()`
  `int`
  `getItemProcessOrder()`
  `String`
  `getItemReadEventBindingName()`
  `int`
  `getItemReadOrder()`
  `String`
  `getItemWriteEventBindingName()`
  `int`
  `getItemWriteOrder()`
  `String`
  `getJobExecutionEventBindingName()`
  `int`
  `getJobExecutionOrder()`
  `String`
  `getSkipEventBindingName()`
  `int`
  `getSkipOrder()`
  `String`
  `getStepExecutionEventBindingName()`
  `int`
  `getStepExecutionOrder()`
  `String`
  `getTaskEventBindingName()`
  `void`
  `setChunkEventBindingName(String chunkEventBindingName)`
  `void`
  `setChunkOrder(int chunkOrder)`
  `void`
  `setItemProcessEventBindingName(String itemProcessEventBindingName)`
  `void`
  `setItemProcessOrder(int itemProcessOrder)`
  `void`
  `setItemReadEventBindingName(String itemReadEventBindingName)`
  `void`
  `setItemReadOrder(int itemReadOrder)`
  `void`
  `setItemWriteEventBindingName(String itemWriteEventBindingName)`
  `void`
  `setItemWriteOrder(int itemWriteOrder)`
  `void`
  `setJobExecutionEventBindingName(String jobExecutionEventBindingName)`
  `void`
  `setJobExecutionOrder(int jobExecutionOrder)`
  `void`
  `setSkipEventBindingName(String skipEventBindingName)`
  `void`
  `setSkipOrder(int skipOrder)`
  `void`
  `setStepExecutionEventBindingName(String stepExecutionEventBindingName)`
  `void`
  `setStepExecutionOrder(int stepExecutionOrder)`
  `void`
  `setTaskEventBindingName(String taskEventBindingName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaskEventProperties

    public TaskEventProperties()

- ## Method Details

  - ### getJobExecutionOrder

    public int getJobExecutionOrder()

  - ### setJobExecutionOrder

    public void setJobExecutionOrder(int jobExecutionOrder)

  - ### getStepExecutionOrder

    public int getStepExecutionOrder()

  - ### setStepExecutionOrder

    public void setStepExecutionOrder(int stepExecutionOrder)

  - ### getItemReadOrder

    public int getItemReadOrder()

  - ### setItemReadOrder

    public void setItemReadOrder(int itemReadOrder)

  - ### getItemProcessOrder

    public int getItemProcessOrder()

  - ### setItemProcessOrder

    public void setItemProcessOrder(int itemProcessOrder)

  - ### getItemWriteOrder

    public int getItemWriteOrder()

  - ### setItemWriteOrder

    public void setItemWriteOrder(int itemWriteOrder)

  - ### getChunkOrder

    public int getChunkOrder()

  - ### setChunkOrder

    public void setChunkOrder(int chunkOrder)

  - ### getSkipOrder

    public int getSkipOrder()

  - ### setSkipOrder

    public void setSkipOrder(int skipOrder)

  - ### getJobExecutionEventBindingName

    public String getJobExecutionEventBindingName()

  - ### setJobExecutionEventBindingName

    public void setJobExecutionEventBindingName(String jobExecutionEventBindingName)

  - ### getSkipEventBindingName

    public String getSkipEventBindingName()

  - ### setSkipEventBindingName

    public void setSkipEventBindingName(String skipEventBindingName)

  - ### getChunkEventBindingName

    public String getChunkEventBindingName()

  - ### setChunkEventBindingName

    public void setChunkEventBindingName(String chunkEventBindingName)

  - ### getItemProcessEventBindingName

    public String getItemProcessEventBindingName()

  - ### setItemProcessEventBindingName

    public void setItemProcessEventBindingName(String itemProcessEventBindingName)

  - ### getItemReadEventBindingName

    public String getItemReadEventBindingName()

  - ### setItemReadEventBindingName

    public void setItemReadEventBindingName(String itemReadEventBindingName)

  - ### getItemWriteEventBindingName

    public String getItemWriteEventBindingName()

  - ### setItemWriteEventBindingName

    public void setItemWriteEventBindingName(String itemWriteEventBindingName)

  - ### getStepExecutionEventBindingName

    public String getStepExecutionEventBindingName()

  - ### setStepExecutionEventBindingName

    public void setStepExecutionEventBindingName(String stepExecutionEventBindingName)

  - ### getTaskEventBindingName

    public String getTaskEventBindingName()

  - ### setTaskEventBindingName

    public void setTaskEventBindingName(String taskEventBindingName)